<div class="row" style="padding: 10px 15px 5px 15px; background-color: ghostwhite">
    <div class="col-3 text-left">
        <div class="mt-2">
            <h5 class="display-5"><%= eleve.nom %></h5>
            <h5 class="display-5"><%= eleve.classe %> (<%= eleve.degre %>)</h5>
        </div>
    </div>
    <div class="col-6 text-center">
        <div class="mt-2">
<!--            <span class="display-5">Parcours : </span>-->
            <span class="display-4">Parcours : <%=parcours.nom%></span>
        </div>
        <div class="mt-2">

        </div>
    </div>
    <div class="col-3 text-right">
        <div>
            <% if (back==='parcoursEleve'){%>
            <a href="/<%=back%>/<%=eleve.id%>" class="btn btn-outline-danger"><%= __('global_back') %></a>
<!--            <%#} else if (back==='sommaireParcours'){%>-->
<!--            <a href="#" class="btn btn-outline-danger" onclick="ui_parcours.checkPasswordForId()"><%#= __('global_back') %></a>-->
            <%} else {%>
            <a id="parcours" href="/<%=back%>/<%=eleve.id%>/<%=parcours.nom%>" class="btn btn-outline-danger"><%= __('global_back') %></a>
            <%}%>
        </div>
    </div>
</div>
<span class="info">Progression</span>
<div class="progress">
    <div  id="progressBar" style="width:0%" class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100">0%</div>
</div>
<script>

    function loadProgressBar(stepsDone,stepsNotDone,stepHistory) {
        let progressBar = document.getElementById("progressBar");
        let progression;
        let barColor = 'green';
        if (stepHistory === null)
            progression = '0';
        else if (!stepsNotDone.includes('type":"next'))
            progression = '100';
        else
            progression = Math.round((JSON.parse(stepsDone).length/(JSON.parse(stepsDone).length+JSON.parse(stepsNotDone).length))*100);
        if (stepHistory.includes('evaluation":0'))
            barColor = 'orange';
        sessionStorage.setItem('progression',''+progression);
        sessionStorage.setItem('barColor',barColor);
        progressBar.style.width = progression+"%";
        progressBar.style.backgroundColor = barColor;
        progressBar.removeAttribute("aria-valuenow");
        progressBar.setAttribute("aria-valuenow",progression);
        progressBar.textContent= progression+'%';
        // ToDo faire une fonction pour mettre à jour le visuel au lieu de le faire dans l'ejs (comme actuellement)
        // if (window.location.href.indexOf("sommaireParcours") > -1) {
        // }

    };

</script>